#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (C) 2011~2014 Deepin, Inc.
#               2011~2014 Kaisheng Ye
#
# Author:     Kaisheng Ye <kaisheng.ye@gmail.com>
# Maintainer: Kaisheng Ye <kaisheng.ye@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

current_dir = os.path.dirname(os.path.realpath(__file__))

musics_dir = os.path.join(current_dir, "music")
m3u_path = "太歌·四季.m3u"

def touch(filepath, string=""):
    dirname = os.path.dirname(filepath)
    if dirname and not os.path.exists(dirname):
        os.makedirs(dirname)
    with open(filepath, "w") as fp:
        fp.write(string)

def main(install_dir):
    fp = open(m3u_path, "w")
    for f in os.listdir(musics_dir):
        path = os.path.join(install_dir, f)
        fp.write(path + "\n")
    fp.close()
    touch("samplemusic/sample_dir_config", install_dir)

if __name__ == "__main__":
    import sys
    main(sys.argv[1])

